Subject: cpuidle broken on mainline

From: Anton Blanchard <[email-masked]>
Date: Thu, 23 Jun 2016 01:16:55 +1000

Hi,

I was noticing some pretty big run to run variations on single threaded
benchmarks, and I've isolated it cpuidle issues. If I look at
the cpuidle tracepoint, I notice we only go into the snooze state.

Do we have any known bugs in cpuidle at the moment?

While looking around, I also noticed PM_QOS_CPU_DMA_LATENCY,
which seems like a bad thing for us. It is used in places like
the e1000e adapter:

drivers/net/ethernet/intel/e1000e/netdev.c:
    pm_qos_add_request(&adapter->pm_qos_req, PM_QOS_CPU_DMA_LATENCY

Seems like that would force us into SMT8 mode all the time. Can we
disable it on ppc64le completely?

Anton